%global modname prettytable


Summary:	Python library to display tabular data in tables
Name:		python-%{modname}
Version:	0.7.2
Release:	4%{?dist}
License:	BSD
URL:		http://pypi.python.org/pypi/PrettyTable
Source0:        http://pypi.python.org/packages/source/P/PrettyTable/%{modname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:  python3-devel python3-setuptools


%description
PrettyTable is a simple Python library designed to make it quick and easy to represent
tabular data in visually appealing ASCII tables. It was inspired by the ASCII tables
used in the PostgreSQL shell psql. PrettyTable allows for selection of which columns
are to be printed, independent alignment of columns (left or right justified or centred)
and printing of "sub-tables" by specifying a row range.

%package -n python3-%{modname}
Summary:	Python library to display tabular data in tables
Provides:       python3-%{modname}

%description -n python3-%{modname}
PrettyTable is a simple Python library designed to make it quick and easy to represent
tabular data in visually appealing ASCII tables. It was inspired by the ASCII tables
used in the PostgreSQL shell psql. PrettyTable allows for selection of which columns
are to be printed, independent alignment of columns (left or right justified or centred)
and printing of "sub-tables" by specifying a row range.


%prep
%autosetup -n %{modname}-%{version}


%build
%py3_build


%check
%{__python3} %{modname}_test.py


%install
%py3_install


%files -n python3-%{modname}
%license COPYING
%doc README CHANGELOG
%{python3_sitelib}/%{modname}.py*
%{python3_sitelib}/__pycache__/%{modname}*
%{python3_sitelib}/%{modname}-%{version}*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 05 2022 rockerzhu <rockerzhu@tencent.com> - 0.7.2-1
- Initial build
